playerc_wifi_link_t Struct Reference
wifi

Individual link info. More...

`#include <playerc.h>`

## Public Attributes

uint8_t | mac [32]
| Mac accress. More...
uint8_t | ip [32]
| IP address. More...
uint8_t | essid [32]
| ESSID id.
int | mode
| Mode (master, ad-hoc, etc). More...
int | encrypt
| Encrypted?
double | freq
| Frequency (MHz). More...
int | qual
| Link properties. More...
int | level
int | noise

## Detailed Description

Individual link info.

## Member Data Documentation

double playerc_wifi_link_t::freq

Frequency (MHz).

uint8_t playerc_wifi_link_t::ip[32]

IP address.

uint8_t playerc_wifi_link_t::mac[32]

Mac accress.

int playerc_wifi_link_t::mode

Mode (master, ad-hoc, etc).

int playerc_wifi_link_t::qual

Link properties.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45